# Linked to the version of mediawiki in each Fedora release.
# F30 and F31 have 1.32, so we package the REL_1_32 branch
# Remember to ensure that the upgrade path is maintained
%global commit 45c9a55657fbb8f5bdd3047c814dc5dbe258aea9

%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global reponame mediawiki-extensions-LastModified

Name:           mediawiki-lastmodified
Version:        0
Release:        0.2.20200210git%{commit}%{?dist}
Summary:        Show the last modified page time

License:        GPLv2+
URL:            https://www.mediawiki.org/wiki/Extension:LastModified
Source0:        https://github.com/wikimedia/%{reponame}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch

Requires:       mediawiki >= 1.32, mediawiki < 1.33

%description
The LastModified extension displays text on the page showing the last modified
page time.

%prep
%autosetup -n %{reponame}-%{commit}
# Remove unneeded dotfiles
rm ./{.gitignore,.gitreview,.jshintrc} -v

%build
# Nothing here

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/{i18n,modules}
install -cpm 644 ./LastModified.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/
install -cpm 644 ./i18n/* $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/i18n/
install -cpm 644 ./modules/* $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/i18n/
install -cpm 644 ./*js $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/
install -cpm 644 ./*json $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/
install -cpm 644 ./*md $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/LastModified/


%files
%{_datadir}/mediawiki/extensions/LastModified


%changelog
* Wed Feb 12 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0-0.2.20200210git45c9a55657fbb8f5bdd3047c814dc5dbe258aea9
- initial import
